/******************************************************************************
*
*                        Microchip File I/O Library
*
******************************************************************************
* FileName:           fileio_config.h
* Processor:          PIC18/PIC24/dsPIC30/dsPIC33
* Compiler:           XC8/XC16
* Company:            Microchip Technology, Inc.
*
* Software License Agreement
*
* The software supplied herewith by Microchip Technology Incorporated
* (the "Company") for its PICmicro(R) Microcontroller is intended and
* supplied to you, the Company's customer, for use solely and
* exclusively on Microchip PICmicro Microcontroller products. The
* software is owned by the Company and/or its supplier, and is
* protected under applicable copyright laws. All rights are reserved.
* Any use in violation of the foregoing restrictions may subject the
* user to criminal sanctions under applicable laws, as well as to
* civil liability for the breach of the terms and conditions of this
* license.
*
* THIS SOFTWARE IS PROVIDED IN AN "AS IS" CONDITION. NO WARRANTIES,
* WHETHER EXPRESS, IMPLIED OR STATUTORY, INCLUDING, BUT NOT LIMITED
* TO, IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A
* PARTICULAR PURPOSE APPLY TO THIS SOFTWARE. THE COMPANY SHALL NOT,
* IN ANY CIRCUMSTANCES, BE LIABLE FOR SPECIAL, INCIDENTAL OR
* CONSEQUENTIAL DAMAGES, FOR ANY REASON WHATSOEVER.
*
* ============================================================================ *
*   VERSION DATE       BY                   CHANGE/COMMENT                     *
* ---------------------------------------------------------------------------- *
*   1.00    2017-02-11 ޒH[(ނ) {Rgǉ                 *
*
********************************************************************/

#ifndef _FS_DEF_
#define _FS_DEF_

// Macro indicating how many drives can be mounted simultaneously.
// Ƀ}EgłhCu̐}NB
#define FILEIO_CONFIG_MAX_DRIVES        1

// Delimiter for directories.
// fBNg̋؂蕶B
#define FILEIO_CONFIG_DELIMITER '/'

// Macro defining the maximum supported sector size for the FILEIO module.  This value should always be 512 , 1024, 2048, or 4096 bytes.
// Most media uses 512-byte sector sizes.
// SDJ[h̃T|[gZN^TCY`}NB
#define FILEIO_CONFIG_MEDIA_SECTOR_SIZE 		512

/* *******************************************************************************************************/
/************** Compiler options to enable/Disable Features based on user's application ******************/
/* *******************************************************************************************************/

// Uncomment FILEIO_CONFIG_FUNCTION_SEARCH to disable the functions used to search for files.
// RgOƁAt@ČɎgp֐𖳌ɏo܂B
#define FILEIO_CONFIG_SEARCH_DISABLE

// Uncomment FILEIO_CONFIG_FUNCTION_WRITE to disable the functions that write to a drive.  Disabling this feature will
// force the file system into read-only mode.
// RgOƁASDɏފ֐𖳌ɏo܂B(ǂݍݐpƂȂ)
// OăRpCČ(V2016_11_07)G[o܂B
//#define FILEIO_CONFIG_WRITE_DISABLE

// Uncomment FILEIO_CONFIG_FUNCTION_FORMAT to disable the function used to format drives.
// RgOƁAhCũtH[}bgɎgp@\𖳌ɏo܂B
#define FILEIO_CONFIG_FORMAT_DISABLE

// Uncomment FILEIO_CONFIG_FUNCTION_DIRECTORY to disable use of directories on your drive.  Disabling this feature will
// limit you to performing all file operations in the root directory.
// RgOƁAfBNg̎gp𖳌ɏo܂B(LɂƖ3298oCg)
#define FILEIO_CONFIG_DIRECTORY_DISABLE

// Uncomment FILEIO_CONFIG_FUNCTION_PROGRAM_MEMORY_STRINGS to disable functions that accept ROM string arguments.
// This is only necessary on PIC18 parts.
// ̎󂯓ɃvOgȂꍇ́ARgOB
// PIC18n̓RgB(̋@\͖ł)
#define FILEIO_CONFIG_PROGRAM_MEMORY_STRINGS_DISABLE

// Uncomment FILEIO_CONFIG_FUNCTION_DRIVE_PROPERTIES to disable the FILEIO_DrivePropertiesGet function.  This function
// will determine the properties of your device, including unused memory.
// RgOƁAFILEIO_DrivePropertiesGet()֐𖳌ɏo܂B
// ̊֐SD̃TCYA󂫗eʓ̏擾ׂ̊֐łB
#define FILEIO_CONFIG_DRIVE_PROPERTIES_DISABLE

// Uncomment FILEIO_CONFIG_MULTIPLE_BUFFER_MODE_DISABLE to disable multiple buffer mode.  This will force the library to
// use a single instance of the FAT and Data buffer.  Otherwise, it will use one FAT buffer and one data buffer per drive
// (defined by FILEIO_CONFIG_MAX_DRIVES).  If you are only using one drive in your application, this option has no effect.
// ̃obt@[h𖳌ɂɂ́ARgO܂B
// ɂꍇ́ÃhCuŋpĎgp邪FILEIO_CONFIG_MAX_DRIVES=1̏ꍇÃIvV͌ʂL܂B
#define FILEIO_CONFIG_MULTIPLE_BUFFER_MODE_DISABLE


#endif
